/*******************************************************************************
 * Copyright (c) 2007 IBM Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.cosmos.provisional.dr.drs.service.handler.common;

public interface IOutputterParameters {

	public static final byte OPTIONAL_TYPE = 0x01;
	
	public static final byte REQUIRED_TYPE = 0x11;
	
	public abstract String getDescription();

	public abstract void setDescription(String description);

	public abstract String getName();

	public abstract void setName(String name);

	public abstract byte getType();
	
	public abstract void setType(byte type);
	
}